BuildArch: noarch

Version:        1.1.0
Release:        1%{?dist}
License:        OFL
URL:            https://djr.com/bungee

%global common_description   %{expand:
In the crowded urban environment, space for signage is always at a premium.
From dumpy liquor stores to majestic theaters, sometimes signs have nowhere
to go but up. Bungee is a font family that celebrates urban signage by
wrangling the Latin alphabet to work vertically as well as horizontally; with
separately glyphs, spacing, and kerning for each orientation. Bungee comes
equipped with chromatic inlines, outlines, shades, and ornaments, making it the
perfect toolkit to take your text in a new direction.}

%global foundry           djr
%global fontlicense       LICENSE.txt

Source0:       https://github.com/djrrb/Bungee/releases/download/%{version}/Bungee-fonts.zip
Source1:       61-djr-bungee-desktop-regular-fonts.conf
Source2:       61-djr-bungee-desktop-hairline-fonts.conf
Source3:       61-djr-bungee-desktop-outline-fonts.conf
Source4:       61-djr-bungee-desktop-inline-fonts.conf
Source5:       61-djr-bungee-desktop-shade-fonts.conf
Source6:       61-djr-bungee-desktop-layers-regular-fonts.conf
Source7:       61-djr-bungee-desktop-layers-outline-fonts.conf
Source8:       61-djr-bungee-desktop-layers-inline-fonts.conf
Source9:       61-djr-bungee-desktop-layers-shade-fonts.conf
Source10:      61-djr-bungee-desktop-layers-rotated-regular-fonts.conf
Source11:      61-djr-bungee-desktop-layers-rotated-outline-fonts.conf
Source12:      61-djr-bungee-desktop-layers-rotated-inline-fonts.conf
Source13:      61-djr-bungee-desktop-layers-rotated-shade-fonts.conf
Source14:      LICENSE.txt

%global fontfamily1       Bungee Desktop
%global fontsummary1      Bungee desktop fonts, regular variant
%global fontpkgheader1    %{expand:
}
%global fonts1            Bungee_Desktop/Bungee/Bungee-Regular.otf
%global fontconfs1        %{SOURCE1}
%global fontdescription1  %{expand:
%{common_description}
This package provides the regular variant of upright fonts.}

%global fontfamily2       Bungee Desktop Hairline
%global fontsummary2      Bungee desktop fonts, hairline variant
%global fontpkgheader2    %{expand:
}
%global fonts2            Bungee_Desktop/Bungee/Bungee-Hairline.otf
%global fontconfs2        %{SOURCE2}
%global fontdescription2  %{expand:
%{common_description}
This package provides the hairline variant of upright fonts.}

%global fontfamily3       Bungee Desktop Outline
%global fontsummary3      Bungee desktop fonts, outline variant
%global fontpkgheader3    %{expand:
}
%global fonts3            Bungee_Desktop/Bungee/Bungee-Outline.otf
%global fontconfs3        %{SOURCE3}
%global fontdescription3  %{expand:
%{common_description}
This package provides the outline variant of upright fonts.}

%global fontfamily4       Bungee Desktop Inline
%global fontsummary4      Bungee desktop fonts, inline variant
%global fontpkgheader4    %{expand:
}
%global fonts4            Bungee_Desktop/Bungee/Bungee-Inline.otf
%global fontconfs4        %{SOURCE4}
%global fontdescription4  %{expand:
%{common_description}
This package provides the inline variant of upright fonts.}

%global fontfamily5       Bungee Desktop Shade
%global fontsummary5      Bungee desktop fonts, shade variant
%global fontpkgheader5    %{expand:
}
%global fonts5            Bungee_Desktop/Bungee/Bungee-Shade.otf
%global fontconfs5        %{SOURCE5}
%global fontdescription5  %{expand:
%{common_description}
This package provides the shade variant of upright fonts.}

%global fontfamily6       Bungee Desktop Layers
%global fontsummary6      Bungee layered desktop fonts, regular variant
%global fontpkgheader6    %{expand:
}
%global fonts6            Bungee_Desktop/BungeeLayers/BungeeLayers-Regular.otf
%global fontconfs6        %{SOURCE6}
%global fontdescription6  %{expand:
%{common_description}
This package provides the regular variant of upright fonts that can be layered.}

%global fontfamily7       Bungee Desktop Layers Outline
%global fontsummary7      Bungee layered desktop fonts, outline variant
%global fontpkgheader7    %{expand:
}
%global fonts7            Bungee_Desktop/BungeeLayers/BungeeLayers-Outline.otf
%global fontconfs7        %{SOURCE7}
%global fontdescription7  %{expand:
%{common_description}
This package provides the outline variant of upright fonts that can be layered.}

%global fontfamily8       Bungee Desktop Layers Inline
%global fontsummary8      Bungee layered desktop fonts, inline variant
%global fontpkgheader8    %{expand:
}
%global fonts8            Bungee_Desktop/BungeeLayers/BungeeLayers-Inline.otf
%global fontconfs8        %{SOURCE8}
%global fontdescription8  %{expand:
%{common_description}
This package provides the inline variant of upright fonts that can be layered.}

%global fontfamily9       Bungee Desktop Layers Shade
%global fontsummary9      Bungee layered desktop fonts, shade variant
%global fontpkgheader9    %{expand:
}
%global fonts9            Bungee_Desktop/BungeeLayers/BungeeLayers-Shade.otf
%global fontconfs9        %{SOURCE9}
%global fontdescription9  %{expand:
%{common_description}
This package provides the shade variant of upright fonts that can be layered.}

%global fontfamily10      Bungee Desktop Layers Rotated
%global fontsummary10     Bungee layered and rotated desktop fonts, regular variant
%global fontpkgheader10   %{expand:
}
%global fonts10           Bungee_Desktop/BungeeLayersRotated/BungeeLayersRotated-Regular.otf
%global fontconfs10       %{SOURCE10}
%global fontdescription10 %{expand:
%{common_description}
This package provides the regular variant of rotated fonts that can be layered.}

%global fontfamily11      Bungee Desktop Layers Rotated Outline
%global fontsummary11     Bungee layered and rotated desktop fonts, outline variant
%global fontpkgheader11   %{expand:
}
%global fonts11           Bungee_Desktop/BungeeLayersRotated/BungeeLayersRotated-Outline.otf
%global fontconfs11       %{SOURCE11}
%global fontdescription11 %{expand:
%{common_description}
This package provides the outline variant of rotated fonts that can be layered.}

%global fontfamily12      Bungee Desktop Layers Rotated Inline
%global fontsummary12     Bungee layered and rotated desktop fonts, inline variant
%global fontpkgheader12   %{expand:
}
%global fonts12           Bungee_Desktop/BungeeLayersRotated/BungeeLayersRotated-Inline.otf
%global fontconfs12       %{SOURCE12}
%global fontdescription12 %{expand:
%{common_description}
This package provides the inline variant of rotated fonts that can be layered.}

%global fontfamily13      Bungee Desktop Layers Rotated Shade
%global fontsummary13     Bungee layered and rotated desktop font, shade variant
%global fontpkgheader13   %{expand:
}
%global fonts13           Bungee_Desktop/BungeeLayersRotated/BungeeLayersRotated-Shade.otf
%global fontconfs13       %{SOURCE13}
%global fontdescription13 %{expand:
%{common_description}
This package provides the shade variant of rotated fonts that can be layered.}

%define  _enable_debug_packages 0
%undefine  _debuginfo_packages
%undefine  _debugsource_packages 

Name:      djr-bungee-fonts
Summary:   Bungee fonts
%description
%wordwrap -v common_description

%fontpkg -a

%global desktopmetasummary All the Bungee desktop fonts
%global desktopdmetadescription %{expand:
This meta-package installs all the Bungee desktop font family packages.
}

%global desktopstandardmetasummary All the standard Bungee desktop fonts
%global desktopdstandardmetadescription %{expand:
This meta-package installs all the standard Bungee desktop font family packages.
}
	
%global desktoplayersmetasummary All the layered Bungee desktop fonts
%global desktoplayersmetadescription %{expand:
This meta-package installs all the standard layered Bungee desktop font family packages.
}

%global desktoplayersrotatedmetasummary All the layered and rotated Bungee desktop fonts
%global desktoplayersrotatedmetadescription %{expand:
This meta-package installs all the rotated layered Bungee desktop font family packages.
}
	
%fontmetapkg -n djr-bungee-desktop-standard-fonts-all -s desktopstandardmetasummary -d desktopstandardmetadescription -z 1,2,3,4,5
		
%fontmetapkg -n djr-bungee-desktop-layers-fonts-all -s desktoplayersmetasummary -d desktoplayersmetadescription -z 6,7,8,9
	
%fontmetapkg -n djr-bungee-desktop-layers-rotated-fonts-all -s desktoplayersrotatedmetasummary -d desktoplayersrotatedmetadescription -z 10,11,12,13

%fontmetapkg -n djr-bungee-desktop-fonts-all -s desktopmetasummary -d desktopmetadescription -z 1,2,3,4,5,6,7,8,9,10,11,12,13

%prep
%setup -n fonts

%build
%fontbuild -a

%install
%fontinstall -a

%check
%fontcheck -a

%fontfiles -a

%changelog
* Sun Apr 24 2022 Benson Muite <benson_muite AT emailplus DOT org> - 1.1.0-1
- Initial package
